ACL_COPY_ENTRY(3)

NAME
acl_copy_entry - copy an ACL entry

LIBRARY
Linux Access Control Lists library (libacl, -lacl).

SYNOPSIS
#include <sys/types.h>
#include <sys/acl.h>
int
acl_copy_entry(acl_entry_t dest_d, acl_entry_t src_d);

DESCRIPTION
The acl_copy_entry() function copies the contents of the ACL entry indicated by the src_d descriptor to the existing ACL entry indicated by the dest_d descriptor. The src_d and dest_d descriptors may refer to entries in different ACLs.

RETURN VALUE

ERRORS
If any of the following conditions occur, the acl_copy_entry() function returns -1 and sets errno to the corresponding value:

[EINVAL]
    The argument src_d or dest_d is not a valid descriptor for an ACL entry.

    The arguments src_d and dest_d reference the same ACL entry.

STANDARDS
IEEE Std 1003.1e draft 17 (“POSIX.1e”, abandoned)

SEE ALSO
acl_get_entry(3), acl(5)

AUTHOR
Derived from the FreeBSD manual pages written by Robert N M Watson <rwatson@FreeBSD.org>, and adapted for Linux by Andreas Gruenbacher <andreas.gruenbacher@gmail.com>.